<template>
 <div id="root">
    <div>
        Strona główna
    </div>

    <div>
        Policz ze mną cyfry od 1 do {{ liczba }}

        <ul>
            <li v-for="(wartosc, licz) in liczba">
                {{ licz }}
            </li>
        </ul>

        <p>
            Teraz pozwól że pomnoże liczbę przez dwa używając computed
            Oto wynik: {{ mnozeRazyDwa() * 2 }}
        </p>

        Oraz dodam 2 do wyniku mnożenia
        <p>
            Oto wynik: {{ mnozeRazyDwa()*2 + 2 }}
        </p>

        <h4>
            Drzewko ulubionych owoców i warzyw
        </h4>
        <ul>
            <li v-for="galazka,index in drzewo" :index="index">
                {{ galazka['name'] }}


                <ul>
                    <li v-for="cos in galazka.children">
                  
                     {{ cos['name'] }}
                   </li>
                 </ul>
            </li>
        </ul>
		<form>

            <button type="submit" v-on:click="mojaZonaLubi($event)"  >Co lubi moja żona ? kliknij a się dowiesz :).</button>
        </form>
    </div>
    </div>
</template>
<script>

    const $zonyUlubione = [
        {
            name: 'Owoce',
            children: [
                {name: 'Jabuszko'},
                {name: 'Gruszka'}
            ]
        },
        {
            name: 'Warzywa',
            children: [
                {name: 'Cebula'}
            ]
        }
    ];

    export default {
        name: 'root',
    

        data() {
            return {
                liczba: 10,
                jaLubie: [
                    {
                        name: 'Owoce',
                        children: [
                            {name: 'Banan'},
                            {name: 'Mango'}
                        ]
                    },
                    {
                        name: 'Warzywa',
                        children: [
                            {name: 'Marchew'},
                            {name: 'Ziemniak'},
                            {name: 'Burak'}
                        ]
                    }
                ],

                drzewo: []
            };
        },

        mounted() {
            this.$parent.wartoscMnozeniaPrzezDwa = this.mnozeRazyDwa;
            this.drzewo = this.jaLubie;

        },

        computed: {
        
        },

        methods:
        {

            mnozeRazyDwa:function(){
                 return this.liczba * '2';
            },
            mojaZonaLubi:function(event){
                event.preventDefault();
             
              event.target.style.display='none';
              
                


                this.drzewo = $zonyUlubione;
            }
            
        }
    }
</script>
